Subject: Re: Drivers' probe function calling order

From: Misbah khan <[email-masked]>
Date: Fri, 4 Jan 2008 00:41:14 -0800 (PST)

Hi Mr Rubini ...

I am writing a driver in which device port is mapped to CPLD and 8 bit data
bus is directly connected from processor to CPLD. Read write on CPLD memory
mapped (buffer/register) is required to control the device. This is now IO
mapped to processor. 

I need to know whether i am right if i impliment like this :- 
         addr=ioremap(base_addr,size);          // Remap to Mem mapped
address 
         out_8(addr) and in_8(addr); 

Alessandro Rubini wrote:
> 
> 
>> how can I force the system to call
>> probe function of the spi driver first?
> 
> You can declare their init functions at different initcall level.  For
> example declaring the dataflash one as late_initcall(). Or declare
> the spi one as subsys_initcall() -- whatever makes more sense.
> 
> There might be cleaner ways according to your setup, but this will
> surely work.
> 
> /alessandro
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/Drivers%27-probe-function-calling-order-tp14601099p14612559.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.